ELANSC(4)

NAME
elansc - AMD Elan SC520 System Controller with watchdog timer and GPIO

SYNOPSIS
elansc* at pci?
gpio* at elansc?

DESCRIPTION
The elansc driver supports the system controller of the AMD Elan SC520 microcontroller. The SC520 consists of an AMD Am5x86 processor core, integrated PCI host controller, and several standard on-chip devices, such as NS16550-compatible UARTs, real-time clock, and timers.

The Elan SC520 also provides several special on-chip devices. The following are supported by the elansc driver:

•   Watchdog timer. The watchdog timer may be configured for a 1 second, 2 second, 4 second, 8 second, 16 second, or 32 second expiration period.

•   Programmable Input/Output. The SC520 microcontroller supports 32 programmable I/O signals (PIOs) that can be used on the system board to monitor signals or control devices that are not handled by the other functions in the SC520 microcontroller. These signals can be programmed to be inputs or to be driven out “high” or “low” as outputs. Pins can be accessed through the gpio(4) framework. The gpioctl(8) program allows easy manipulation of pins from userland.

SEE ALSO
gpio(4), intro(4), watchdog(4), gpioctl(8), sysctl(8)

HISTORY
Support for the elansc was added in OpenBSD 3.3. PIO function support appeared in OpenBSD 3.6.

AUTHORS
-nosplit The elansc driver was written by Jason R. Thorpe <thorpej@netbsd.org>. Jasper Wallace provided the work-around for a hardware bug related to the watchdog timer in some steppings of the SC520 CPU. Alexander Yurchenko <grange@openbsd.org> added support for the PIO function.